---
title: Klassische "von Neumann-Struktur", Klassifikation und Merkmale von Computerarchitekturen
date: 2018-10-18
---

RISC vs CISC:
* 1 instruction/cycle
* Überführen in Speicher

Harvard-Architektur (Mikrocontroller)

EPROM: Programmierbarer, nicht flüchtiger Speicher

* SISD: Single Instruction, Single Data
* SIMD: Single Instruction, Multiple Data
* MISD: Multiple Instruction, Single Data
* MIMD: Multiple Instruction, Multiple Data

**Mögliche Klausur Aufgabe**: Malen sie `*I*D` auf

## Wiederholungsfragen

* $20 ns$, $1s/20ns = 50 MIPS$
* IF, ID, EX, MEM (Adressen berechnen), WB (Write back)
* SISD (von-Neumann), SIMD, MISD, MIMD

## Nächste Woche

* Quanten Computer
